com.amazonaws.services.elastictranscoder.model

## Class TestRoleResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.TestRoleResult

All Implemented Interfaces:
  Serializable, Cloneable

Deprecated.

    @Deprecated
    public class TestRoleResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The `TestRoleResponse` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TestRoleResult()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`TestRoleResult` `clone()` Deprecated.
`boolean` `equals(Object obj)` Deprecated.
`List<String>` `getMessages()` Deprecated. If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.
`String` `getSuccess()` Deprecated. If the operation is successful, this value is `true`; otherwise, the value is `false`.
`int` `hashCode()` Deprecated.
`void` `setMessages(Collection<String> messages)` Deprecated. If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.
`void` `setSuccess(String success)` Deprecated. If the operation is successful, this value is `true`; otherwise, the value is `false`.
`String` `toString()` Deprecated. Returns a string representation of this object; useful for testing and debugging.
`TestRoleResult` `withMessages(Collection<String> messages)` Deprecated. If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.
`TestRoleResult` `withMessages(String... messages)` Deprecated. If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.
`TestRoleResult` `withSuccess(String success)` Deprecated. If the operation is successful, this value is `true`; otherwise, the value is `false`.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestRoleResult

    public TestRoleResult()

Deprecated.

### Method Detail

#### setSuccess

    public void setSuccess(String success)

Deprecated.

If the operation is successful, this value is `true`; otherwise, the value is `false`.

Parameters:
  `success` - If the operation is successful, this value is `true`; otherwise, the value is `false`.

#### getSuccess

    public String getSuccess()

Deprecated.

If the operation is successful, this value is `true`; otherwise, the value is `false`.

Returns:
  If the operation is successful, this value is `true`; otherwise, the value is `false`.

#### withSuccess

    public TestRoleResult withSuccess(String success)

Deprecated.

If the operation is successful, this value is `true`; otherwise, the value is `false`.

Parameters:
  `success` - If the operation is successful, this value is `true`; otherwise, the value is `false`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getMessages

    public List<String> getMessages()

Deprecated.

If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.

Returns:
  If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.

#### setMessages

    public void setMessages(Collection<String> messages)

Deprecated.

If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.

Parameters:
  `messages` - If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.

#### withMessages

    public TestRoleResult withMessages(String... messages)

Deprecated.

If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.

NOTE: This method appends the values to the existing list (if any). Use `setMessages(java.util.Collection)` or `withMessages(java.util.Collection)` if you want to override the existing values.

Parameters:
  `messages` - If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withMessages

    public TestRoleResult withMessages(Collection<String> messages)

Deprecated.

If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.

Parameters:
  `messages` - If the `Success` element contains `false`, this value is an array of one or more error messages that were generated during the test process.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Deprecated.
Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### clone

    public TestRoleResult clone()

Deprecated.

Overrides:
  `clone` in class `Object`